Get conversation

View as Markdown
Retrieves a specific conversation.

Authentication

AuthorizationBearer

JWT bearer token authentication. Obtain an access token from the Moveworks auth endpoint and include it in the Authorization header as ‘Bearer <token>’.

Path parameters

conversation_idstringRequiredformat: "^conv_[0-9A-HJKMNP-TV-Z]{26}$"

Unique conversation identifier (format: conv_<ulid>)

Headers

Assistant-NamestringRequired
The Moveworks assistant identifier that was configured for your organization.

Response

Conversation retrieved successfully
conversation_idstring

Unique conversation identifier (format: conv_<ulid>)

archivedboolean

User-controlled flag to mark conversation as archived

created_atdatetime

Creation timestamp (ISO 8601)

updated_atdatetime

Last update timestamp (ISO 8601)

titlestring or null<=256 characters

Optional user-defined title (max 256 characters)

Errors